Bug 1796410 - Sometimes clicking on the edit channel button in OLM console raises a javascript exception
Summary: Sometimes clicking on the edit channel button in OLM console raises a javascr...
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: David Taylor
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-30 11:27 UTC by Simone Tiraboschi
Modified: 2020-08-03 14:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-22 18:53:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
Expected result (140.13 KB, image/png)
2020-01-30 11:27 UTC, Simone Tiraboschi
no flags Details
Error (182.32 KB, image/png)
2020-01-30 11:28 UTC, Simone Tiraboschi
no flags Details

Description Simone Tiraboschi 2020-01-30 11:27:43 UTC
Created attachment 1656471 [details]
Expected result

Description of problem:
In CNV we have channels "2.1", "2.2" and "2.3"; in order to trigger an update we expect the user to click on the edit channel button and switch to a different one.
"Sometime" this is not possible: clicking on the button produces no evident results or error but we see a JS exception in the browser console.

I'm attaching a screenshot of a successful click and a screenshot of an error one.


Version-Release number of selected component (if applicable):
OCP 4.2.13

How reproducible:
seldom

Steps to Reproduce:
1. click on edit channel button
2.
3.

Actual results:
Sometimes it raises a JS excpetion

Expected results:
it always opens the edit channel dialog

Additional info:

Comment 1 Simone Tiraboschi 2020-01-30 11:28:08 UTC
Created attachment 1656472 [details]
Error

Comment 3 David Taylor 2020-04-22 18:53:12 UTC
Hi, I have tried this a number of times, off and on, in OpenShift Cluster v4.4 and v4.5, I've never been able to reproduce.  Please reopen bug if it happens again -thanks

Comment 4 ginger 2020-04-28 09:49:06 UTC
Hi, this just happened to me on 4.3.10,
here's a screenshot of what I see when I click on the pencil icon https://drive.google.com/file/d/1uUWdKUVuW82Mw-zkGk53u_Nn765Iv-lg/view?usp=sharing

You can log into the env at 10.0.98.224  

please let me know if more info is needed.

Comment 5 David Taylor 2020-05-07 19:04:38 UTC
I plan on investigating this bug next sprint.

Comment 7 Joe Caiani 2020-07-10 15:15:27 UTC
Will investigate next sprint


Note You need to log in before you can comment on or make changes to this bug.